View Issue Details

IDProjectCategoryView StatusLast Update
0003725unrealircdpublic2008-12-22 16:24
ReporterAblom2008Assigned Tosyzop 
PrioritynormalSeveritycrashReproducibilityN/A
Status resolvedResolutionfixed 
Platformx64OSlinux suse 10.3OS Version2.6.22.5-31
Product Version3.2.7 
Target VersionFixed in Version3.2.8 
Summary0003725: unable to start server
Descriptionafter the installation and configuration when I typing command ./unreal start
the system write this error
========
* Loading IRCd configuration ..
./unreal: line 134: 26191 Segmentation fault (core dumped) /tmp/Unreal3.2.7/src/ircd
Possible error encountered (IRCd seemingly not started)
========
Steps To ReproduceIn line 134 of my unrealircd.conf file is comment,
the ircd.log is empty
the result of ./unreal backtrace is
=================== START HERE ======================
BACKTRACE:
Using host libthread_db library "/lib64/libthread_db.so.1".
Core was generated by `/tmp/Unreal3.2.7/src/ircd'.
Program terminated with signal 11, Segmentation fault.
#0 0x0000000000435b62 in unreal_encodespace (s=0x0) at s_misc.c:1076
1076 for (i = s, o = buf; (*i) && (o < buf+509); i++)
#0 0x0000000000435b62 in unreal_encodespace (s=0x0) at s_misc.c:1076
#1 0x0000000000429503 in init_conf (rootconf=0x45b821 "unrealircd.conf",
    rehash=0) at s_conf.c:1563
#2 0x000000000041c252 in main (argc=0, argv=<value optimized out>)
    at ircd.c:1293

#0 0x0000000000435b62 in unreal_encodespace (s=0x0) at s_misc.c:1076
1076 for (i = s, o = buf; (*i) && (o < buf+509); i++)

0x727220 <backupbuf>: ""

#0 0x0000000000435b62 in unreal_encodespace (s=0x0) at s_misc.c:1076
        buf = "Spamming_users_with_an_mIRC_trojan._Type_'/unload_-rs_newb'_to_remove_the_trojan.\000.asp?VName=TROJ%5FSOEX.A", '\0' <repeats 405 times>
        i = 0x0
        o = 0x70dba0 "Spamming_users_with_an_mIRC_trojan._Type_'/unload_-rs_newb'_to_remove_the_trojan."
#1 0x0000000000429503 in init_conf (rootconf=0x45b821 "unrealircd.conf",
    rehash=0) at s_conf.c:1563
---Type <return> to continue, or q <return> to quit---
No locals.
#2 0x000000000041c252 in main (argc=0, argv=<value optimized out>)
    at ircd.c:1293
        type = <value optimized out>
        result = <value optimized out>
        p = 0x7fff8b836978 "\003@"
        uid = 0
        euid = 0
        gid = 0
        egid = 0
        delay = <value optimized out>
        corelim = {rlim_cur = 18446744073709551615,
  rlim_max = 18446744073709551615}
        nextfdlistcheck = <value optimized out>
        alllasttime = 0
GCC: gcc version 4.2.1 (SUSE Linux)
UNAME: Linux Stepan 2.6.22.5-31-default #1 SMP 2007/09/21 22:29:00 UTC x86_64 x86_64 x86_64 GNU/Linux
UNREAL: Unreal3.2.7 build 1.1.1.1.2.1.2.1.2.2234.2.676 2007/07/13 10:43:04
CORE: -rw------- 1 root root 2174976 Aug 27 16:27 core
=================== STOP HERE ======================

TagsNo tags attached.
3rd party modules

Activities

2008-08-27 11:44

 

unrealircd.conf (5,127 bytes)

Ablom2008

2008-10-22 06:45

reporter   ~0015416

Hi

please help me to solve the problem.....

Stealth

2008-10-28 23:05

reporter   ~0015418

The error has nothing to do with your conf.

Try remove the include to spamfilter.conf and try booting Unreal.

Ablom2008

2008-10-29 10:56

reporter   ~0015421

I remove the include spamfilter.conf from my conf file but Unreal is not started an print the same error message

./unreal: line 134: 27177 Segmentation fault (core dumped)

syzop

2008-12-22 10:42

administrator   ~0015479

I'm unable to cause a crash here, I've also traced the codepaths that could lead to a crash but verified that they shouldn't (the crash is a NULL pointer crash, but at every place in s_conf it seems to check for null so... no idea).

Are you still having this issue, and/or did you find out what caused it?

syzop

2008-12-22 16:24

administrator   ~0015500

Possibly fixed in .725:
- Added some countermeasures against crash-on-boot, 0003725 and #0003653,
  reported by Ablom2008 and mist26.
Please re-report if it still crashes, with a new ./unreal backtrace

Issue History

Date Modified Username Field Change
2008-08-27 11:44 Ablom2008 New Issue
2008-08-27 11:44 Ablom2008 File Added: unrealircd.conf
2008-10-22 06:45 Ablom2008 Note Added: 0015416
2008-10-28 23:05 Stealth Note Added: 0015418
2008-10-29 10:56 Ablom2008 Note Added: 0015421
2008-12-22 10:42 syzop Note Added: 0015479
2008-12-22 16:24 syzop QA => Not touched yet by developer
2008-12-22 16:24 syzop U4: Need for upstream patch => No need for upstream InspIRCd patch
2008-12-22 16:24 syzop Status new => resolved
2008-12-22 16:24 syzop Fixed in Version => 3.2.8
2008-12-22 16:24 syzop Resolution open => fixed
2008-12-22 16:24 syzop Assigned To => syzop
2008-12-22 16:24 syzop Note Added: 0015500